Changes between Version 66 and Version 67 of OpenFlow/FOAM


Ignore:
Timestamp:
10/27/13 16:00:01 (6 years ago)
Author:
Josh Smift
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • OpenFlow/FOAM

    v66 v67  
    3232
    3333FOAM is fairly lightweight, and can run on the same system as the !FlowVisor that it uses, without additional hardware requirements. You can also run it on a separate system for isolation purposes, e.g. so that if you need to reboot the FOAM server, that doesn't affect !FlowVisor.
     34
     35We currently recommend running FOAM on Ubuntu 12.04, although it should also work on Debian and other versions of Ubuntu. NOTE, however, that FOAM expects sqlite to have write-ahead-logging, a feature that appears in sqlite 3.7 or later, and Ubuntu 10.04 in particular only has 3.6.22. FOAM will generally work ok with this, but if experimenters create many slivers at a time, the lack of write-ahead logging can lead to the database becoming locked, requiring a FOAM restart.
    3436
    3537== Version ==